DUB-LINT(1)

NAME
dub-lint - Executes the linter tests of the selected package

SYNOPSIS
dub lint [<package>[@<version-spec>]] OPTIONS... [-- <application arguments...>]

DESCRIPTION
Builds the package and executes D-Scanner linter tests.

OPTIONS

--syntax-check
    Lexes and parses sourceFile, printing the line and column number of any syntax errors to stdout.

--style-check
    Lexes and parses sourceFiles, printing the line and column number of any static analysis check failures stdout.

--error-format=VALUE
    Format errors produced by the style/syntax checkers.

--report
    Generate a static analysis report in JSON format.

--report-format=VALUE
    Specifies the format of the generated report.

--report-file=VALUE
    Write report to file.

--import-paths=VALUE
    Import paths

--dscanner-config=VALUE
    Use the given d-scanner configuration file.

-b, --build=VALUE
    Specifies the type of build to perform. Note that setting the DFLAGS environment variable will override the build type with custom flags. Possible names:
      debug, plain, release, release-debug, release-nobounds, unittest, profile, profile-gc, docs, ddox, cov, cov-ctfe, unittest-cov, unittest-cov-ctfe, syntax and custom types

-c, --config=VALUE
    Builds the specified configuration. Configurations can be defined in dub.json

--override-config=VALUE
    Uses the specified configuration for a certain dependency. Can be specified multiple times. Format: --override-config=<dependency>/<config>

--compiler=VALUE
    Specifies the compiler binary to use (can be a path). Arbitrary pre- and suffixes to the identifiers below are recognized (e.g. ldc2 or dmd-2.063) and matched to the proper compiler type:
      dmd, gdc, ldc, gdmd, ldmd

-a, --arch=VALUE
    Force a different architecture (e.g. x86 or x86_64)

-d, --debug=VALUE
    Define the specified `debug` version identifier when building - can be used multiple times

--d-version=VALUE
    Define the specified `version` identifier when building - can be used multiple times. Use sparingly, with great power comes great responsibility! For commonly used or combined versions and versions that dependees should be able to use, create configurations in your package.

--nodeps
    Do not resolve missing dependencies before building

--build-mode=VALUE
    Specifies the way the compiler and linker are invoked. Valid values:
      separate (default), allAtOnce, singleFile

--single
    Treats the package name as a filename. The file must contain a package recipe comment.

--force-remove
    Deprecated option that does nothing.

--filter-versions
    [Experimental] Filter version identifiers and debug version identifiers to improve build cache efficiency.

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2024 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-dustmite(1), dub-test(1)